#include "regs.h"
#include "lcd.h"

int main (void)
{
	int i = 0;

	lcd_init();

	lcd_position (20, 12);
	lcd_string ("Hello World!", FALSE);
	lcd_position (32, 32);
	lcd_string ("From the", FALSE);
	lcd_position (12, 40);
	lcd_string ("  Open Source  ", TRUE);
	lcd_position (12, 48);
	lcd_string ("Jukebox Project", TRUE);

	while (1)
	{
		lcd_update();

		if ((i++ & 31) == 0)
			PBDR ^= PBDR_LED;
	}
}

const void* vectors[] __attribute__ ((section (".vectors"))) =
{
   main, 				/* Power-on reset */
   (void *) 0x09040000, /* Power-on reset stack pointer */
   main, 				/* Manual reset */
   (void *) 0x09040000,	/* Manual reset stack pointer */
};
